package com.saye.hospitalgd.service;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: TODO
 * @date 2021/9/28 11:04
 */
public interface TransactionDetailService {

    List<HashMap<Object, Object>> findHisAndThirdJoinData(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisUnilateral() throws Exception;

    List<HashMap<Object, Object>> findBankUnilateral() throws Exception;

    List<HashMap<Object, Object>> findDiff() throws Exception;

    List<HashMap<Object, Object>> findHisAndThirdJoinDataNumByTime(HashMap<Object, Object> map) throws Exception;

    void insertHisAndThirdJoinData(HashMap<Object, Object> map) throws Exception;

    void insetHisAndCashJoinData(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findHisAndThirdJoinDataByParam(HashMap<Object, Object> map) throws Exception;

    void updateJoinDate(HashMap<Object, Object> map) throws Exception;

    void updateJoinSetActiveByThird(HashMap<Object, Object> map) throws Exception;

    void updateJoinSetActiveByHis(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findAllBankDetailNum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findAllBankDetailSum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findDBZNum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findJoinDataNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findDBZFLNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillMoneyByTime(HashMap<Object, Object> map) throws Exception;

    /**
     * @description: 更新支票数据的状态
     * @author thuang
     * @date 2021/12/8 15:00
     * @version 1.0
     */
    void updateJoinSetActiveByZhiPiao(HashMap<Object, Object> map) throws Exception;

    /**
     * @description: 查询非唯一记录
     * @param: map
     * @author thuang
     * @date: 2022/2/23 16:02
     */
    List<HashMap<Object, Object>> findHisAndThirdJoinDataByParamAndNotUnique(HashMap<Object, Object> map) throws Exception;

    /**
     * @description: 删除非唯一记录
     * @author thuang
     * @date 2022/2/23 16:46
     * @version 1.0
     */
    void deleteHisAndThirdJoinDataByParamAndNotUnique(HashMap<Object, Object> map) throws Exception;

    /**
     * @description: 添加处理后的非唯一记录回数据
     * @author thuang
     * @date 2022/2/24 8:40
     * @version 1.0
     */
    void addNotUniqueData(List<HashMap<Object, Object>> list) throws Exception;
}
